<?php

class p_usertab_uc extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        

        // Информация о плагине
        
		global $_LANG;
        $this->info['plugin']           = 'p_usertab_uc';
        $this->info['title']            = 'Записи в каталоге';
        $this->info['description']      = 'Выводит в профиле пользователя его записи в универсальном каталоге';
        $this->info['author']           = 'Александр & instantcms.com.ua';
        $this->info['version']          = '1.10.6';

		$this->info['tab']       = $_LANG['PLU_TAB_TITLE']; //-- Название вкладки

        // События, которые будут отлавливаться плагином

        $this->events[]                 = 'USER_PROFILE';
		
		// Настройки по-умолчанию
        $this->config['limit'] = 10; // Количество выводимых записей
		$this->config['only_user'] = 0; // Показывать  всем
		$this->config['my_products'] = 0; // Не только свой профиль
		$this->config['only_group'] = 0; // Показывать всем группам
		$this->config['hide_empty'] = 0; // Не скрывать, если нет записей
		
		parent::__construct();

    }

// ==================================================================== //

    /**
     * Процедура установки плагина
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     * Процедура обновления плагина
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     * Обработка событий
     * @param string $event
     * @param array $user
     * @return html
     */
    public function execute($event, $user){

        parent::execute();

        $inCore     = cmsCore::getInstance();
		$inUser     = cmsUser::getInstance();
        $inDB       = cmsDatabase::getInstance();

        $catalogs   = array();

		$my_group     = $user['group_id'];
		$user_id      = $user['id'];
        $limit        = (int)$this->config['limit'];
		$only_user    = (int)$this->config['only_user'];
		$my_products  = (int)$this->config['my_products'];
		$only_group   = (int)$this->config['only_group'];
		$hide_empty   = (int)$this->config['hide_empty'];

        $sql        = "SELECT id, title, published, imageurl, price FROM cms_uc_items
                       WHERE user_id = {$user_id}
                       ORDER BY published DESC
                       LIMIT {$limit}";

        $result     = $this->inDB->query($sql);
		
		$my_profile = ($inUser->id == $user_id);

        $total      = $this->inDB->num_rows($result);

        
		if ($total){

            while($catalog = $this->inDB->fetch_assoc($result)){
                $catalog['url'] = '/catalog/item'.$catalog['id'].'.html';
                $catalogs[] = $catalog;
            }
            
        }

        ob_start();

        cmsPage::initTemplate('plugins', 'p_usertab_uc.tpl')->
		assign('total', $total)->
		assign('only_user', $only_user)->
		assign('my_group', $my_group)->
		assign('only_group', $only_group)->
		assign('my_products', $my_products)->
		assign('hide_empty', $hide_empty)->
        assign('catalogs', $catalogs)->
        display('p_usertab_uc.tpl');

        $html = ob_get_clean();

        return $html;
		
	}

// ==================================================================== //

}

?>
